Name:           xdg-desktop-portal-gtk
Version:        1.0.2
Release:        2
Summary:        A backend implementation for xdg-desktop-portal
License:        LGPLv2+
URL:            https://github.com/flatpak/%{name}
Source0:        https://github.com/flatpak/%{name}/releases/download/%{version}/%{name}-%{version}.tar.xz

BuildRequires:  gcc gettext systemd
BuildRequires:  pkgconfig(gtk+-unix-print-3.0) pkgconfig(xdg-desktop-portal) >= 1.0.2
Requires:       dbus xdg-desktop-portal >= 1.0.2
%{?systemd_requires}

Supplements:    (gtk3 and (flatpak or snapd))

%description
A backend implementation for xdg-desktop-portal that is using GTK+ and various pieces of GNOME
infrastructure, such as the org.gnome.Shell.Screenshot or org.gnome.SessionManager D-Bus interfaces.

%prep
%autosetup -p1

%build
%configure --disable-silent-rules
%make_build

%install
%make_install
%find_lang xdg-desktop-portal-gtk

%post
%systemd_user_post xdg-desktop-portal-gtk.service

%preun
%systemd_user_preun xdg-desktop-portal-gtk.service

%files -f xdg-desktop-portal-gtk.lang
%license COPYING
%doc NEWS
%{_libexecdir}/xdg-desktop-portal-gtk
%{_datadir}/applications/xdg-desktop-portal-gtk.desktop
%{_datadir}/dbus-1/services/org.freedesktop.impl.portal.desktop.gtk.service
%{_datadir}/xdg-desktop-portal/portals/gtk.portal
%{_userunitdir}/xdg-desktop-portal-gtk.service

%changelog
* Thu Dec 05 2019 zhouyihang <zhouyihang1@huawei.com> - 1.0.2-2
- Package init
